Name:           perl-PPI
Version:        1.201
Release:        2%{?dist}
Summary:        Parse, Analyze and Manipulate Perl
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/PPI/
Source0:        http://backpan.perl.org/authors/id/A/AD/ADAMK/PPI-%{version}.tar.gz
Patch0:         PPI-1.201-UTF8.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl(Clone) >= 0.22
BuildRequires:  perl(File::Remove) >= 0.22
BuildRequires:  perl(IO::String) >= 1.07
BuildRequires:  perl(List::MoreUtils) >= 0.13
BuildRequires:  perl(List::Util) >= 1.19
BuildRequires:  perl(Params::Util) >= 0.10
BuildRequires:  perl(Storable) >= 2.14
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::ClassAPI) >= 1.02
BuildRequires:  perl(Test::SubCalls) >= 0.01
BuildRequires:  perl(Test::Object) >= 0.06
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Parse, Analyze and Manipulate Perl (without perl).

%prep
%setup -q -n PPI-%{version}
chmod -c 644 lib/PPI/Document/File.pm

# Re-code docs as UTF-8
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE README inline2test.conf inline2test.tpl
%{perl_vendorlib}/PPI/
%{perl_vendorlib}/PPI.pm
%{_mandir}/man3/PPI*.3pm*

%changelog
* Wed Mar 14 2012 Paul Howarth <paul@city-fan.org> - 1.201-2
- Bump List::Util version requirement to 1.19 as per upstream
- BR: perl(Task::Weaken)
- Re-code docs as UTF-8
- Don't use macros for commands
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Don't need to remove empty directories from buildroot
- Use %%{_fixperms} macro rather than our own chmod incantation
- Make %%files list more explicit
- Upstream source has been archived on backpan
- Drop %%defattr, redundant since rpm 4.4

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.201-1
- bump to 1.201

* Sat Sep 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.118-1
- Update to 1.118.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.117-1
- Update to 1.117.

* Sun Jun  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.115-2
- Removed the perl(IO::Scalar) build requirement.

* Sun Jun  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.115-1
- Update to 1.115.

* Wed May 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.113-1
- Update to 1.113.

* Tue Apr 25 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.112-1
- Update to 1.112.

* Sat Apr 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.111-1
- First build.
